/////////////////////////////////////////////////////////////////////////////
// Name:        chose_folder.h
// Purpose:     
// Author:      
// Modified by: 
// Created:     22/01/2011 11:39:25
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _CHOSE_FOLDER_H_
#define _CHOSE_FOLDER_H_


/*!
 * Includes
 */

////@begin includes
////@end includes

#include "window_position.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_CDLGCHOSEFOLDER 10159
#define ID_CHOSEFOLDER_FOLDER_NAME 10160
#define ID_CHOSEFOLDER_BROWSE 10161
#define SYMBOL_CDLGCHOOSEFOLDER_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX|wxTAB_TRAVERSAL
#define SYMBOL_CDLGCHOOSEFOLDER_TITLE _("Chose folder")
#define SYMBOL_CDLGCHOOSEFOLDER_IDNAME ID_CDLGCHOSEFOLDER
#define SYMBOL_CDLGCHOOSEFOLDER_SIZE wxSize(266, 184)
#define SYMBOL_CDLGCHOOSEFOLDER_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * CDlgChoosefolder class declaration
 */

class CDlgChoosefolder: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CDlgChoosefolder )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CDlgChoosefolder();
    CDlgChoosefolder( wxWindow* parent, wxWindowID id = SYMBOL_CDLGCHOOSEFOLDER_IDNAME, const wxString& caption = SYMBOL_CDLGCHOOSEFOLDER_TITLE, const wxPoint& pos = SYMBOL_CDLGCHOOSEFOLDER_POSITION, const wxSize& size = SYMBOL_CDLGCHOOSEFOLDER_SIZE, long style = SYMBOL_CDLGCHOOSEFOLDER_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CDLGCHOOSEFOLDER_IDNAME, const wxString& caption = SYMBOL_CDLGCHOOSEFOLDER_TITLE, const wxPoint& pos = SYMBOL_CDLGCHOOSEFOLDER_POSITION, const wxSize& size = SYMBOL_CDLGCHOOSEFOLDER_SIZE, long style = SYMBOL_CDLGCHOOSEFOLDER_STYLE );

    /// Destructor
    ~CDlgChoosefolder();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CDlgChoosefolder event handler declarations

    /// wxEVT_INIT_DIALOG event handler for ID_CDLGCHOSEFOLDER
    void OnInitDialog( wxInitDialogEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_CHOSEFOLDER_BROWSE
    void OnChosefolderBrowseClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOkClick( wxCommandEvent& event );

////@end CDlgChoosefolder event handler declarations

////@begin CDlgChoosefolder member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CDlgChoosefolder member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

	// set the description field
	void SetDescription( const wxString& descr );

	// set and get the folder name
	void SetPath( const wxString& folderName );
	wxString GetPath();

////@begin CDlgChoosefolder member variables
    wxStaticText* m_DescriptionCtrl;
    wxTextCtrl* m_FolderNameCtrl;
    wxButton* m_BrowseCtrl;
////@end CDlgChoosefolder member variables

protected:

	wxString m_Description;

	CWindowPosition m_WindowPosition;
};

#endif
    // _CHOSE_FOLDER_H_
