/////////////////////////////////////////////////////////////////////////////
// Name:        status_bar_with_gauge.h
// Purpose:     
// Author:      
// Modified by: 
// Created:     04/12/2009 18:42:42
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _STATUS_BAR_WITH_GAUGE_H_
#define _STATUS_BAR_WITH_GAUGE_H_


/*!
 * Includes
 */

////@begin includes
#include "wx/statusbr.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
class CStatusBarWithGauge;
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_STATUSBAR 10078
#define SYMBOL_CSTATUSBARWITHGAUGE_STYLE wxST_SIZEGRIP
#define SYMBOL_CSTATUSBARWITHGAUGE_IDNAME ID_STATUSBAR
#define SYMBOL_CSTATUSBARWITHGAUGE_SIZE wxDefaultSize
#define SYMBOL_CSTATUSBARWITHGAUGE_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * CStatusBarWithGauge class declaration
 */

class CStatusBarWithGauge: public wxStatusBar
{    
    DECLARE_DYNAMIC_CLASS( CStatusBarWithGauge )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CStatusBarWithGauge();
    CStatusBarWithGauge(wxWindow* parent, wxWindowID id = wxID_ANY, long style = wxST_SIZEGRIP);

    /// Creation
    bool Create(wxWindow* parent, wxWindowID id = wxID_ANY, long style = wxST_SIZEGRIP);

    /// Destructor
    ~CStatusBarWithGauge();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CStatusBarWithGauge event handler declarations

////@end CStatusBarWithGauge event handler declarations

    void OnSize(wxSizeEvent& event);

////@begin CStatusBarWithGauge member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CStatusBarWithGauge member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

	// show the progress bar
	void ProgressBarShow();
	// hide the progress bar
	void ProgressBarHide();
	// set the range for the progress bar
	void ProgressBarSetRange( int range );
	// set the value for the progress bar
	void ProgressBarSetValue( int pos );
	// get the value of the progress bar
	int ProgressBarGetValue();

////@begin CStatusBarWithGauge member variables
////@end CStatusBarWithGauge member variables

protected:

    // the gauge control
	wxGauge* m_ProgressBarCtrl;

};

#endif
    // _STATUS_BAR_WITH_GAUGE_H_
