/*
	This file is part of vvvP (Virtual Volumes View Photo edition)

	Copyright (C) 2009, the vvvP Development team

	Author: Fulvio Senore

    vvvP is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    vvvP is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with vvvP; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "left_right_panes_events.h"

DEFINE_EVENT_TYPE(fsEVT_LEFT_PANE_FOCUSED)
IMPLEMENT_DYNAMIC_CLASS(fsLeftPaneFocusedEvent, wxNotifyEvent)

DEFINE_EVENT_TYPE(fsEVT_RIGHT_PANE_FOCUSED)
IMPLEMENT_DYNAMIC_CLASS(fsRightPaneFocusedEvent, wxNotifyEvent)

